Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1517909

Summary: generic object properties summary crash
Product: Red Hat CloudForms Management Engine Reporter: Satoe Imaishi <simaishi>
Component: UI - OPSAssignee: Aparna Karve <akarve>
Status: CLOSED CURRENTRELEASE QA Contact: Martin Kourim <mkourim>
Severity: high Docs Contact:
Priority: high    
Version: 5.9.0CC: ccoupel, cpelland, dclarizi, hkataria, jhardy, lavenel, mpovolny, obarenbo
Target Milestone: Beta 3   
Target Release: 5.9.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard: testathon
Fixed In Version: 5.9.0.11 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1515942 Environment:
Last Closed: 2018-03-06 15:10:16 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: CFME Core
Bug Depends On: 1515942    
Bug Blocks:    

Comment 2 Aparna Karve 2017-11-28 21:19:31 UTC
PR - https://github.com/ManageIQ/manageiq-ui-classic/pull/2808

Comment 3 CFME Bot 2017-11-29 20:41:35 UTC
New commit detected on ManageIQ/manageiq-ui-classic/gaprindashvili:
https://github.com/ManageIQ/manageiq-ui-classic/commit/6591fde67ab260e6895f282db8bf7225bf8ab169

commit 6591fde67ab260e6895f282db8bf7225bf8ab169
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Wed Nov 22 16:14:44 2017 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Nov 27 11:53:46 2017 -0500

    Merge pull request #2808 from AparnaKarve/bz1515942_render_toolbar_when_display_is_main
    
    Render Generic Object Definition center toolbar for `show` properly
    (cherry picked from commit 25585bfa44545efd5951afa40e0f9bd53b5af6f4)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1517909

 .../generic_object_definition_controller.rb        |  4 +--
 .../toolbar/generic_object_definition_center.rb    | 38 ++++++++++++++++++++++
 .../generic_object_definition_node_center.rb       | 38 ----------------------
 ...ct_definition_show_list_with_treeview.html.haml |  2 +-
 .../generic_object_definition_controller_spec.rb   | 11 +++++++
 5 files changed, 52 insertions(+), 41 deletions(-)
 create mode 100644 app/helpers/application_helper/toolbar/generic_object_definition_center.rb
 delete mode 100644 app/helpers/application_helper/toolbar/generic_object_definition_node_center.rb

Comment 4 Martin Kourim 2018-02-14 14:36:22 UTC
Verified that the error no longer occurs when selecting property -> summary on 5.9.0.20